Skip to content

All campaign statistics

Statistics
POSThttps://api.dcdial.com/api/type=get_all_stats
Read onlyToken

Returns live statistics for all your campaigns.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_all_stats for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegeroptional

    ID of the campaign.

    Example 1024
  • display_statusstringoptional

    Only campaigns with this status.

    One ofPLAYSTOPPAUSE
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_all_stats \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024 \
-d display_status=PLAY
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"campaigns_list": [
{
"active_calls": "0",
"calls_ringings": "0",
"calls_waiting": "0",
"calls_in_ivr": "0",
"percentage_complete": "0.00",
"pace_method": "SMS",
"active": "Y",
"display_status": "PLAY",
"campaign_name": "Customer Satisfaction Survey",
"campaign_id": "cmpBrjO49OiQXhBC10311",
"campaign_type": "7",
"scheduled_campaign": "0"
},
{
"active_calls": "0",
"calls_ringings": "0",
"calls_waiting": "0",
"calls_in_ivr": "0",
"percentage_complete": "0.00",
"pace_method": "BROADCAST",
"active": "N",
"display_status": "STOP",
"campaign_name": "Default Broadcast",
"campaign_id": "cmpBroadcast10311",
"campaign_type": "1",
"scheduled_campaign": "0"
}
]
}
}

Try it

Environment